Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.jmx.adaptor
Class MBeanInfoDeser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.jboss.net.jmx.adaptor.MBeanInfoDeser

All Implemented Interfaces:
  org.apache.axis.encoding.Callback, ContentHandler, org.apache.axis.encoding.Deserializer, javax.xml.rpc.encoding.Deserializer, DTDHandler, EntityResolver, ErrorHandler, Serializable

public class MBeanInfoDeser
extends org.apache.axis.encoding.DeserializerImpl

An `MBeanInfoDeser` is be used to deserialize MBeanInfo using the `SOAP-ENC` encoding style.

Version:
  $Revision: 1.5 $
Author:
  Alireza Taherkordi
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`MBeanInfoDeser()`

Method Summary
`void` | `onEndElement(String s, String s1, org.apache.axis.encoding.DeserializationContext deserializationcontext)`
`org.apache.axis.message.SOAPHandler` | `onStartChild(String namespace, String localName, String prefix, Attributes attributes, org.apache.axis.encoding.DeserializationContext context)`
`void` | `onStartElement(String namespace, String localName, String prefix, Attributes attributes, org.apache.axis.encoding.DeserializationContext context)`
`void` | `setChildValue(Object value, Object hint)`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanInfoDeser

    public MBeanInfoDeser()

Method Detail

### onStartElement

    public void onStartElement(String namespace,
                               String localName,
                               String prefix,
                               Attributes attributes,
                               org.apache.axis.encoding.DeserializationContext context)
                        throws SAXException

  Throws:
    `SAXException`

### onStartChild

    public org.apache.axis.message.SOAPHandler onStartChild(String namespace,
                                                            String localName,
                                                            String prefix,
                                                            Attributes attributes,
                                                            org.apache.axis.encoding.DeserializationContext context)
                                                     throws SAXException

  Throws:
    `SAXException`

### setChildValue

    public void setChildValue(Object value,
                              Object hint)
                       throws SAXException

  Throws:
    `SAXException`

### onEndElement

    public void onEndElement(String s,
                             String s1,
                             org.apache.axis.encoding.DeserializationContext deserializationcontext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.